Loading...
Searching...
No Matches
Magick::shadeImage Class Reference

## Public Member Functions

| shadeImage (const double azimuth_=30, const double elevation_=30, const bool colorShading_=false)
void | operator() (Image &image_) const

## Private Attributes

double | _azimuth
double | _elevation
bool | _colorShading

## Detailed Description

Definition at line 1001 of file STL.h.

## Constructor & Destructor Documentation

## shadeImage()

Magick::shadeImage::shadeImage | ( | const double | azimuth_ = `30`,
|  | const double | elevation_ = `30`,
|  | const bool | colorShading_ = `false`
| ) |  |

Definition at line 954 of file STL.cpp.

: _azimuth( azimuth_ ),
_elevation( elevation_ ),
_colorShading (colorShading_)
{
}

## Member Function Documentation

## operator()()

void Magick::shadeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 962 of file STL.cpp.

{
image_.shade( _azimuth, _elevation, _colorShading );
}

## Field Documentation

## _azimuth

double Magick::shadeImage::_azimuth

private

Definition at line 1011 of file STL.h.

## _colorShading

bool Magick::shadeImage::_colorShading

private

Definition at line 1013 of file STL.h.

## _elevation

double Magick::shadeImage::_elevation

private

Definition at line 1012 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp